Class: SignozSessionExpiredError
Defined in: src/errors.ts:84
The session rotate was refused (401): fresh tokens must be copied from the browser.
Extends
Constructors
Constructor
new SignozSessionExpiredError(
init):SignozSessionExpiredError
Defined in: src/errors.ts:71
Parameters
init
SignozApiErrorInit
Returns
SignozSessionExpiredError
Inherited from
Properties
body?
readonlyoptionalbody?:unknown
Defined in: src/errors.ts:69
The response body, with the tokens already masked.
Inherited from
code?
readonlyoptionalcode?:string
Defined in: src/errors.ts:65
SigNoz's error.code or Prometheus's errorType.
Inherited from
message
message:
string
Defined in: node_modules/.pnpm/typescript@5.9.3/node_modules/typescript/lib/lib.es5.d.ts:1077
Inherited from
method
readonlymethod:string
Defined in: src/errors.ts:60
Inherited from
name
readonlyname:"SignozSessionExpiredError"="SignozSessionExpiredError"
Defined in: src/errors.ts:85
Overrides
operationId?
readonlyoptionaloperationId?:string
Defined in: src/errors.ts:63
Inherited from
path
readonlypath:string
Defined in: src/errors.ts:62
The path without the query string (the query may carry filters, never tokens, but is left out to be safe).
Inherited from
stack?
optionalstack?:string
Defined in: node_modules/.pnpm/typescript@5.9.3/node_modules/typescript/lib/lib.es5.d.ts:1078
Inherited from
status
readonlystatus:number
Defined in: src/errors.ts:59
Inherited from
type?
readonlyoptionaltype?:string
Defined in: src/errors.ts:67
SigNoz's error.type (e.g. unauthenticated, not-found).
Inherited from
stackTraceLimit
staticstackTraceLimit:number
Defined in: node_modules/.pnpm/@types+node@20.19.43/node_modules/@types/node/globals.d.ts:68
The Error.stackTraceLimit property specifies the number of stack frames
collected by a stack trace (whether generated by new Error().stack or
Error.captureStackTrace(obj)).
The default value is 10 but may be set to any valid JavaScript number. Changes
will affect any stack trace captured after the value has been changed.
If set to a non-number value, or set to a negative number, stack traces will not capture any frames.
Inherited from
SignozApiError.stackTraceLimit
Methods
captureStackTrace()
staticcaptureStackTrace(targetObject,constructorOpt?):void
Defined in: node_modules/.pnpm/@types+node@20.19.43/node_modules/@types/node/globals.d.ts:52
Creates a .stack property on targetObject, which when accessed returns
a string representing the location in the code at which
Error.captureStackTrace() was called.
const myObject = {};
Error.captureStackTrace(myObject);
myObject.stack; // Similar to `new Error().stack`
The first line of the trace will be prefixed with
${myObject.name}: ${myObject.message}.
The optional constructorOpt argument accepts a function. If given, all frames
above constructorOpt, including constructorOpt, will be omitted from the
generated stack trace.
The constructorOpt argument is useful for hiding implementation
details of error generation from the user. For instance:
function a() {
b();
}
function b() {
c();
}
function c() {
// Create an error without stack trace to avoid calculating the stack trace twice.
const { stackTraceLimit } = Error;
Error.stackTraceLimit = 0;
const error = new Error();
Error.stackTraceLimit = stackTraceLimit;
// Capture the stack trace above function b
Error.captureStackTrace(error, b); // Neither function c, nor b is included in the stack trace
throw error;
}
a();
Parameters
targetObject
object
constructorOpt?
Function
Returns
void
Inherited from
SignozApiError.captureStackTrace
prepareStackTrace()
staticprepareStackTrace(err,stackTraces):any
Defined in: node_modules/.pnpm/@types+node@20.19.43/node_modules/@types/node/globals.d.ts:56
Parameters
err
Error
stackTraces
CallSite[]
Returns
any
See
https://v8.dev/docs/stack-trace-api#customizing-stack-traces